## kanagram 16.04.3

=== debian/changelog ===
kanagram (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:35:45 +0200

kanagram (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:31 +0100

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkeduvocdocument-dev (>= 4:16.04.3~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5crash-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5sonnet-dev (>= 5.24.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram

Package: kanagram
Architecture: any
Depends: kdeedu-kvtml-data,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 16.08.3

=== debian/changelog ===
kanagram (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:55:15 +0100

kanagram (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 12:42:10 +0200

kanagram (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 00:39:59 +0200

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev,
               kio-dev,
               libkeduvocdocument-dev (>= 4:14.11.95),
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5sonnet-dev,
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kanagram.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kanagram.git

Package: kanagram
Architecture: any
Depends: kdeedu-kvtml-data,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 16.12.3

=== debian/changelog ===
kanagram (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:28:19 +0000

kanagram (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:56 +0000

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkeduvocdocument-dev (>= 4:16.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram

Package: kanagram
Architecture: any
Depends: kdeedu-kvtml-data,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 17.04.3

=== debian/changelog ===
kanagram (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:16.12.3~),
+               libkeduvocdocument-dev (>= 4:17.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -40,6 +40,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: jumble word puzzle
  KAnagram is a game where a random word is shown with its letters scrambled.
  To win, the player must rearrange the letters into the correct order.

## kanagram 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(kanagram)

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

include(FeatureSummary)
find_package(Qt5 REQUIRED COMPONENTS Core Qml Quick OpenGL)
find_package(Qt5 QUIET OPTIONAL_COMPONENTS TextToSpeech)
if (NOT Qt5TextToSpeech_FOUND)
    message(STATUS "Qt5TextToSpeech not found, speech feature will be disabled")
else()
    add_definitions(-DHAVE_SPEECH)
endif()

find_package(ECM 1.7.0 NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMAddAppIcon)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)

find_package(KF5 REQUIRED COMPONENTS
    I18n
    Crash
    Sonnet
    Config
    ConfigWidgets
    CoreAddons
    Declarative
    DocTools
    KIO
    NewStuff
)
include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory( doc )
add_subdirectory( src )
add_subdirectory( icons )

install(FILES org.kde.kanagram.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kanagram (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:24:14 +0000

kanagram (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Build with Qt5TextToSpeech support
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:50 +0000

kanagram (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:48 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:17.04.3~),
+               libkeduvocdocument-dev (>= 4:17.12.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -22,6 +22,7 @@
                libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5opengl5-dev (>= 5.6.1~),
+               libqt5texttospeech5-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~)

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kanagram-([\d.]+).tar.xz

## kanagram 18.04.0

=== debian/changelog ===
kanagram (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Add the libqt5texttospeech5-dev build dependency to enable the
    pronunciation of the words.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 13:22:24 +0200

kanagram (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Switch copyright to copyright-format v1.0.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 08:51:26 +0100

kanagram (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:17 +0200

kanagram (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:58:38 +0000

kanagram (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:32:02 +0000

kanagram (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:47 +0000

kanagram (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:32 +0000

kanagram (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:11:51 +0000

kanagram (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:56 +0000

kanagram (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:56 +0000

kanagram (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:37 +0000

kanagram (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:15:16 +0000

kanagram (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:24:32 +0000

kanagram (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:33 +0000

kanagram (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:47 +0000

kanagram (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:38 +0000

kanagram (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:40 +0000

kanagram (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:19 +0000

kanagram (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:51 +0000

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.7.0~),
               libkeduvocdocument-dev (>= 4:14.11.95),
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5sonnet-dev,
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5texttospeech5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kanagram
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kanagram.git

Package: kanagram
Architecture: any
Depends: kdeedu-kvtml-data,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 18.04.0.1+rb2

=== debian/changelog ===
kanagram (4:18.04.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 10:21:24 +0800

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
+               qtspeech5-speechd-plugin
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kanagram

## kanagram 18.04.3

=== debian/changelog ===
kanagram (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:14:59 +0100

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkeduvocdocument-dev (>= 4:18.04.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5texttospeech5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram

Package: kanagram
Architecture: any
Depends: kdeedu-kvtml-data,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 18.12.3

=== debian/changelog ===
kanagram (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:26:03 +0000

kanagram (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:13:25 +0000

kanagram (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:44 +0000

kanagram (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:23 +0000

kanagram (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields. 

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 31 Dec 2018 10:10:47 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:18.04.3~),
+               libkeduvocdocument-dev (>= 4:18.12.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -26,7 +26,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram
@@ -37,9 +37,8 @@
          qml-module-qtmultimedia,
          qml-module-qtquick-controls,
          qml-module-qtquick2,
-         qml-module-qtwebkit,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: khelpcenter
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}

## kanagram 19.04.3

=== debian/changelog ===
kanagram (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:42 +0100

kanagram (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:01:40 +0100

kanagram (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:42 +0100

kanagram (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:41:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:18.12.3~),
+               libkeduvocdocument-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),

## kanagram 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,12 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.5)
 
-project(kanagram)
+# KDE Application Version, managed by release script
+set(KDE_APPLICATIONS_VERSION_MAJOR "19")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+
+project(kanagram VERSION ${KDE_APPLICATIONS_VERSION})
 
 if(NOT MSVC)
     set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
@@ -25,6 +31,7 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
+include(ECMSetupVersion)
 
 find_package(KF5 REQUIRED COMPONENTS
     I18n
@@ -43,6 +50,15 @@
 find_package(LibKEduVocDocument REQUIRED)
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+if (${KF5Config_VERSION} STRGREATER "5.56.0")
+        add_definitions(-DQT_NO_FOREACH)
+        MESSAGE(STATUS "compile without foreach")
+endif()
+
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+endif()
 
 add_subdirectory( doc )
 add_subdirectory( src )

=== debian/changelog ===
kanagram (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:06:19 +0000

kanagram (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:17:33 +0000

kanagram (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:51:30 +0000

kanagram (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:45:03 +0000

kanagram (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:29:49 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:19.04.3~),
+               libkeduvocdocument-dev (>= 4:19.12.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),

## kanagram 20.08.1

=== debian/changelog ===
kanagram (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:50:30 +0100

kanagram (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:44:09 +0100

kanagram (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:34:45 +0100

kanagram (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:12:00 +0100

kanagram (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:32:54 +0100

kanagram (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 11:30:31 +0200

=== debian/control ===
Source: kanagram
Section: misc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.7.0~),
               gettext,
               libkeduvocdocument-dev (>= 4:20.08.1~),
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5sonnet-dev,
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5texttospeech5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kanagram
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kanagram.git

Package: kanagram
Architecture: any
Depends: kdeedu-kvtml-data,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: jumble word puzzle
 KAnagram is a game where a random word is shown with its letters scrambled.
 To win, the player must rearrange the letters into the correct order.
 .
 This package is part of the KDE education module

## kanagram 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kanagram VERSION ${RELEASE_SERVICE_VERSION})

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

include(FeatureSummary)
find_package(Qt5 REQUIRED COMPONENTS Core Qml Quick)
find_package(Qt5 QUIET OPTIONAL_COMPONENTS TextToSpeech)
if (NOT Qt5TextToSpeech_FOUND)
    message(STATUS "Qt5TextToSpeech not found, speech feature will be disabled")
else()
    add_definitions(-DHAVE_SPEECH)
endif()

find_package(ECM 5.17.0 NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(ECMAddAppIcon)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)

find_package(KF5 REQUIRED COMPONENTS
    I18n
    Crash
    Sonnet
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    KIO
    NewStuff
)
include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()



add_subdirectory( doc )
add_subdirectory( src )
add_subdirectory( icons )

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.kanagram.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KANAGRAM VERSION_HEADER kanagram_version.h)

set(kanagram_SRCS
    kanagramconfigdialog.cpp
    kanagramgame.cpp
    main.cpp
    mainwindow.cpp
    mainsettings.cpp
    vocabsettings.cpp
    vocabedit.cpp
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

ki18n_wrap_ui(kanagram_SRCS
    vocabsettingswidget.ui
    vocabeditwidget.ui
    mainsettingswidget.ui
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-kanagram.png")
ecm_add_app_icon(cantor_SRCS ICONS ${ICONS_SRCS})


kconfig_add_kcfg_files(kanagram_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kanagramsettings.kcfgc)
# qt5_add_dbus_interfaces(kanagram_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml )
ecm_add_app_icon(kanagram_SRCS ICONS
                ${CMAKE_SOURCE_DIR}/icons/16-apps-kanagram.png
                ${CMAKE_SOURCE_DIR}/icons/32-apps-kanagram.png
                ${CMAKE_SOURCE_DIR}/icons/64-apps-kanagram.png
                ${CMAKE_SOURCE_DIR}/icons/128-app-kanagram.png
)
add_executable(kanagram ${kanagram_SRCS})

target_link_libraries(kanagram
    Qt5::Quick
    Qt5::Core
    KF5::CoreAddons
    KF5::I18n
    KF5::NewStuff
    KF5::SonnetCore
    KF5::Crash
    LibKEduVocDocumentImport__KEduVocDocument
)

if (Qt5TextToSpeech_FOUND)
    target_link_libraries(kanagram
        Qt5::TextToSpeech)
endif()

install(
    FILES
    kanagram.kcfg
    DESTINATION
    ${KDE_INSTALL_KCFGDIR}
)

install(
    FILES
    kanagram.knsrc
    DESTINATION
    ${KDE_INSTALL_CONFDIR}
)

install(
    DIRECTORY ui/
    DESTINATION ${KDE_INSTALL_DATADIR}/kanagram/ui)

install(
    FILES org.kde.kanagram.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
    TARGETS
    kanagram
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== debian/changelog ===
kanagram (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.17.0
    - drop libkf5declarative-dev, no more needed
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 23:15:44 +0100

kanagram (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Mon, 16 Nov 2020 10:34:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 1.7.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.17.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:20.08.1~),
+               libkeduvocdocument-dev (>= 4:14.11.95),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
                libkf5crash-dev,
-               libkf5declarative-dev,
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5kio-dev,
@@ -27,7 +26,8 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kanagram
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kanagram.git

## kanagram 20.12.3

=== debian/changelog ===
kanagram (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:16:52 +0000

kanagram (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:51:16 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.17.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:14.11.95),
+               libkeduvocdocument-dev (>= 4:20.12.3~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,

## kanagram 21.08.0

=== debian/changelog ===
kanagram (4:21.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update the upstream GPG signing key.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Aug 2021 09:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.17.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:20.12.3~),
+               libkeduvocdocument-dev (>= 4:14.11.95),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
@@ -26,7 +26,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kanagram
@@ -41,8 +41,6 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: khelpcenter
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: jumble word puzzle
  KAnagram is a game where a random word is shown with its letters scrambled.
  To win, the player must rearrange the letters into the correct order.

## kanagram 21.08.1

=== debian/changelog ===
kanagram (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:31:16 +0100

kanagram (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:59:31 +0100

kanagram (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:52:13 +0100

kanagram (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:31:31 +0100

kanagram (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:40:21 +0100

kanagram (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:36:43 +0100

kanagram (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:03:31 +0100

kanagram (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:31:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.17.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:14.11.95),
+               libkeduvocdocument-dev (>= 4:21.08.1~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
@@ -26,7 +26,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kanagram
@@ -41,6 +41,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: jumble word puzzle
  KAnagram is a game where a random word is shown with its letters scrambled.
  To win, the player must rearrange the letters into the correct order.

## kanagram 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kanagram VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -62,7 +62,7 @@
     FILES
     kanagram.knsrc
     DESTINATION
-    ${KDE_INSTALL_CONFDIR}
+    ${KDE_INSTALL_KNSRCDIR}
 )
 
 install(

=== debian/changelog ===
kanagram (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:07:45 +0000

kanagram (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:14:16 +0000

kanagram (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:22:06 +0000

kanagram (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:19:01 +0000

kanagram (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:03:02 +0000

kanagram (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:14:27 +0000

kanagram (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:23:38 +0000

kanagram (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:37:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kanagram
 Section: misc
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
@@ -9,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.17.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:21.08.1~),
+               libkeduvocdocument-dev (>= 4:21.12.3~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
@@ -29,8 +30,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kanagram
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kanagram
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kanagram.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kanagram
 
 Package: kanagram
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kanagram 22.08.1

=== debian/changelog ===
kanagram (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:37:15 +0100

kanagram (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:25 +0100

kanagram (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:47 +0100

kanagram (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:37 +0100

kanagram (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:55:42 +0100

kanagram (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:45:07 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.17.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:21.12.3~),
+               libkeduvocdocument-dev (>= 4:22.08.1~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
